Issue 120881 - [From Symphony]Page number in footer display incorrectly
[From Symphony]Page number in footer display incorrectly
Product: Writer
Classification: Application
Component: open-import
All All
: P3 normal (vote)
: 4.0.0
Assigned To: kang jane
Depends on:
  Show dependency treegraph
Reported: 2012-09-11 05:53 UTC by Yan Ji
Modified: 2012-10-10 06:50 UTC (History)
3 users (show)

See Also:
Issue Type: DEFECT
Latest Confirmation on: ---
Developer Difficulty: ---

sample (56.50 KB, application/msword)
2012-09-11 05:53 UTC, Yan Ji
no flags Details
Fix for issue that page number in footer display incorrectly (4.96 KB, application/octet-stream)
2012-09-12 05:49 UTC, kang jane
kangjane2012: review?

Note You need to log in before you can comment on or make changes to this issue.
Description Yan Ji 2012-09-11 05:53:26 UTC
Created attachment 79391 [details]

Build: AOO 3.5 Trunk Rev. r1381968
OS: All

1. Open attached sample

Defect: Page number in footer of page 6, 7 shows same as "vi"
Comment 1 kang jane 2012-09-12 05:49:01 UTC
Created attachment 79412 [details]
Fix for issue that page number in footer display incorrectly

Root cause:
In this case, pagenumber frame's size is a fixed size, and is too small to show the page number large than 3.

Enlarge the frame size in this case.

1.Test the on the files(doc,odt) with the amount of pages and page numbers that frame's size is set to a fixed size.
Comment 2 Jian Hong Cheng 2012-09-12 09:23:25 UTC
This sample has another issue..When saving as odt file,the page numbering will be lost...Please open another issue to trace it..thanks.
Comment 3 Jian Hong Cheng 2012-09-12 09:25:26 UTC
I have finished the code review. After applying the patch,the page numbering displays well,I committed the patch with revision 1383857.Thanks for the patch.
Comment 4 Du Jing 2012-09-20 06:13:43 UTC
verified on the build AOO3.5_r1387482
Comment 5 Shenfeng Liu 2012-10-10 06:50:16 UTC
set Target Milestone to AOO 3.5.0 for PM purpose.